Description

Mi è arrivata segnalazione che la navigazione su siti della rete locale avviene ancora tramite proxy anziché direttamente.

Ho verificato la configurazione lato server ed è corretta, ma effettivamente dal lato client ho dei dubbi.

Mi servirebbe sapere: con che browser è stato rilevato il problema? firefox o chromium? (e nel secondo caso, come è stato lanciato

chromium?)

Associated revisions

Revision 82d7da1f - 07/25/2017 10:37 AM - Elena Grandi

Further cleanup on the use of domain / ansible_dns.domain.

Version bump to 8.0.18

Refs: #356 (in a comment)

History

#1 - 07/21/2017 02:18 PM - Michael Guggenberg

firefox

#2 - 07/21/2017 02:53 PM - Elena Grandi

Ho pubblicato una nuova versione del fuss-client (8.0.17), aggiornando e lanciando il solito fuss-client -a firefox dovrebbe caricare correttamente la

configurazione del proxy presente sul server, che non lo usa per i siti locali.

#3 - 07/25/2017 09:30 AM - Michael Guggenberg

fuss-client a ultima versione da errore :

TASK [network : Set proxy for environment] *****************************

fatal: [localhost]: FAILED! => {"failed": true, "msg": "the field 'args' has an invalid value, which appears to include a variable that is undefined. The

error was: 'dict object' has no attribute 'domain'\n\nThe error appears to have been in '/usr/share/fuss-client/roles/network/tasks/main.yml': line 45,

column 3, but may\nbe elsewhere in the file depending on the exact syntax problem.\n\nThe offending line appears to be:\n\n        conf_name:

/etc/wgetrc\n name: Set proxy for environment\n  ^ here\n"}

Lancia una seconda volta fuss-client -a l' non da errore e tutti i task sono ok.

#4 - 07/25/2017 09:31 AM - Michael Guggenberg

- Assignee changed from Michael Guggenberg to Elena Grandi

#5 - 07/25/2017 10:55 AM - Elena Grandi
- Status changed from Nuovo to Commenti

- Assignee changed from Elena Grandi to Michael Guggenberg

Confermo che una volta rilanciato con successo quel problema è innocuo e le macchine configurate sono a posto.

Ho appena uploadato la versione 8.0.18 che lo sistema, in modo che non ci sia bisogno della doppia invocazione sulle nuove macchine.

#6 - 07/25/2017 12:12 PM - Michael Guggenberg

fuss-client 8.0.18

1500977325.156      0 192.168.1.197 TCP_DENIED/407 3846 GET http://192.168.1.249:8001/1:0:1:6D66:437:1:C00000:0:0:0: - HIER_NONE/-

text/html

1500977325.157      0 192.168.1.197 TCP_DENIED/407 3792 GET http://192.168.1.249:8001/1:0:1:6D66:437:1:C00000:0:0:0: - HIER_NONE/-

text/html

1500977325.159      0 192.168.1.197 TCP_DENIED/407 3973 GET http://192.168.1.249:8001/1:0:1:6D66:437:1:C00000:0:0:0: - HIER_NONE/-

text/html

Come si leege dal access.log di squid il client (firefox, vlc ....) usa sempre il proxy per ip della rete locale.

#7 - 07/25/2017 12:28 PM - Elena Grandi

vlc è normale: prende le impostazioni del proxy dal sistema, e in quelle non c'è modo sensato di impostare delle eccezioni per la rete locale.

Per firefox, invece, dopo che è stato applicato fuss-client -a con versione successiva a 8.0.17 dovrebbe prendere le impostazioni del proxy

dall'autodetect, e in quelle c'è l'eccezione.

Per verificarlo, si può seguire preferences - advanced - network - connection settings e verificare che sia selezionato l'autodetect. Se non lo è, è

possibile che per quell'utente fosse stato cambiato in passato, nel qual caso la modifica ha la precedenza sulle impostazioni di default cambiate da

fuss-client (anche su un'altra macchina, nel caso in cui le home siano condivise).

L'impostazione di default è configurata in /etc/firefox-esr/fuss.js con la riga:

// Use proxy autodetection

pref("network.proxy.type", 4);

quella è presente, giusto?

#8 - 07/28/2017 01:05 PM - Elena Grandi

Per vlc e altri programmi diversi dai browser ho appena uploadato la versione 8.0.22 di fuss-server che abilita sul proxy l'accesso alla rete locale per

tutti (dopo aver chiesto conferma a Paolo che fosse la cosa voluta).
Come al solito fuss-server upgrade per applicare la modifica dopo aver aggiornato il pacchetto.

#9 - 08/29/2017 08:38 PM - Michael Guggenberg

Dopo un upgrade comportamento di vlc è rimasto identico, squid blocca sempre con TCP_DENIED/407 verso un ip iterneno della rete locale.

#10 - 08/29/2017 08:39 PM - Michael Guggenberg

- Assignee changed from Michael Guggenberg to TRUELITE

#11 - 08/30/2017 09:15 AM - Christopher R. Gabriel

- Assignee changed from TRUELITE to Elena Grandi

#12 - 08/30/2017 11:35 AM - Elena Grandi

- Status changed from Commenti to In elaborazione

#13 - 08/31/2017 02:46 PM - Elena Grandi

- Assignee changed from Elena Grandi to Michael Guggenberg

Appena pubblicata versione 8.0.26 di fuss-server che mi pare migliori le cose.

Ho fatto le verifiche con wget e non vlc perché con quest'ultimo faticavo a caricare sul server un file che vlc stesso aprisse remotamente; usa però lo

stesso sistema per caricare le impostazioni del proxy.

Con wget, al momento:

richiedere un file sulla rete locale specificando l'indirizzo completo con server.dominio.lan funziona

richiedere un file sulla rete locale specificando l'indirizzo numerico del server funziona

il tutto senza passare dalla cache

non sto riuscendo a far funzionare al di fuori del browser le richieste fatte a server e basta (senza specificare il dominio locale. (nel browser

funzionano anche queste ultime, ma perché usa un sistema diverso per sapere di non dover passare dal proxy).

Come al solito, fuss-server upgrade dopo l'aggiornamento per applicare le modifiche della configurazione.
